gnutls_pubkey_import_rsa_raw(3)

NAME
gnutls_pubkey_import_rsa_raw - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pubkey_import_rsa_raw(gnutls_pubkey_t key, const gnutls_datum_t * m, const gnutls_datum_t * e);

ARGUMENTS

gnutls_pubkey_t key
    Is a structure will hold the parameters

const gnutls_datum_t * m
    holds the modulus

const gnutls_datum_t * e
    holds the public exponent

DESCRIPTION
This function will replace the parameters in the given structure. The new parameters should be stored in the appropriate gnutls_datum.

RETURNS
GNUTLS_E_SUCCESS on success, or an negative error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.